[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FPCanvas' (#fcl)

# TFPPenStyle

TFPPenStyle - Solid, Dash, Dot, DashDot, DashDotDot, insideFrame, Pattern, Clear

## Declaration

Source position: fpcanvas.pp line 105

`type TFPPenStyle = (`
`psSolid,` |  |
`psDash,` |  |
`psDot,` |  |
`psDashDot,` |  |
`psDashDotDot,` |  |
`psinsideFrame,` |  |
`psPattern,` |  |
`psClear` |  |
`);`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.